CharterOpsCharterOps

API reference

Marketplace

Publish redacted requests, submit aircraft offers, exchange private empty-leg inquiries, save partners and read your business briefing.

List Inquiries

GET/v1/marketplace/inquiries

Scope
read
Quota
Counts toward your allowance

Query parameters

  • qstring

    Up to 120 characters.

  • statusstring

    One ofpendingoffereddeclinedwithdrawn

  • needs_replyboolean

    Defaults to false.

  • awaiting_partnerboolean

    Defaults to false.

  • as_sellerboolean

    Defaults to false.

  • as_buyerboolean

    Defaults to false.

  • trip_request_idUUID

  • sortstring

    Defaults to -updated_at.

    One ofdeparts-departspartner-partnerstatus-statusnext_action-next_actionupdated_at-updated_at

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of inquiry objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Inquiry Detail

GET/v1/marketplace/inquiries/{id}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Response

200 OK

Returns the inquiry object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Inquiry Messages

GET/v1/marketplace/inquiries/{id}/messages

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Query parameters

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of inquiry message objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/messages" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Send Inquiry Message

POST/v1/marketplace/inquiries/{id}/messages

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • bodystringRequired

    1 to 2,000 characters.

Response

201 Created

Returns the inquiry message object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/messages" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Inquiry Offer

POST/v1/marketplace/inquiries/{id}/offer

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • amount_centsintegerRequired

    0 or more.

  • valid_untildate-timeRequired

  • aircraft_idUUID

  • copilot_namestring

    Up to 120 characters.

  • crew_notesstring

    Up to 2,000 characters.

  • pilot_namestring

    Up to 120 characters.

  • termsstring

    Up to 2,000 characters.

Response

201 Created

Returns the offer object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/offer" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Inquiry Transition

POST/v1/marketplace/inquiries/{id}/transitions

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • tostringRequired

    One ofdeclinedwithdrawn

Response

200 OK

Returns the inquiry object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/inquiries/$ID/transitions" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

List Offers

GET/v1/marketplace/offers

Scope
read
Quota
Counts toward your allowance

Query parameters

  • statusstring

    One ofsubmittedwithdrawnexpiredrequest_changedunavailablebookedclosed

  • booked_fromdate-time

  • booked_beforedate-time

  • activeboolean

    Defaults to false.

  • trip_request_idUUID

  • from_datedate

  • to_datedate

  • qstring

    Up to 120 characters.

  • sortstring

    Defaults to -updated_at.

    One of-updated_atupdated_atroute-routedepart_date-depart_datebroker-brokeraircraft-aircraftamount_cents-amount_centsstatus-status

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of offer objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/offers" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Offer Detail

GET/v1/marketplace/offers/{id}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Response

200 OK

Returns the offer object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Offer Quote

POST/v1/marketplace/offers/{id}/quote

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Response

201 Created

Returns the quote object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/quote" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)"

Replace Offer

POST/v1/marketplace/offers/{id}/replacement

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • amount_centsintegerRequired

    0 or more.

  • valid_untildate-timeRequired

  • aircraft_idUUID

  • copilot_namestring

    Up to 120 characters.

  • crew_notesstring

    Up to 2,000 characters.

  • pilot_namestring

    Up to 120 characters.

  • termsstring

    Up to 2,000 characters.

Response

201 Created

Returns the offer object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/replacement" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Withdraw Offer

POST/v1/marketplace/offers/{id}/withdrawal

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Response

200 OK

Returns the offer object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/offers/$ID/withdrawal" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)"

Requests

GET/v1/marketplace/requests

Scope
read
Quota
Counts toward your allowance

Query parameters

  • qstring

    Up to 120 characters.

  • fromstring

    Up to 20 characters.

  • tostring

    Up to 20 characters.

  • from_datedate

  • to_datedate

  • arrival_fromdate-time

  • arrival_todate-time

  • categorystring

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • broker_idUUID

  • saved_brokersboolean

    Defaults to false.

  • saved_onlyboolean

    Defaults to false.

  • sortstring

    Defaults to departure.

    One ofdeparture-departureroute-routepax-paxbroker-brokerpublished_at-published_at

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of marketplace request objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/requests" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Detail

GET/v1/marketplace/requests/{id}

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Response

200 OK

Returns the marketplace request object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Request Offers

GET/v1/marketplace/requests/{id}/offers

Scope
read
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Query parameters

  • statusstring

    One ofsubmittedwithdrawnexpiredrequest_changedunavailablebookedclosed

  • booked_fromdate-time

  • booked_beforedate-time

  • activeboolean

    Defaults to false.

  • trip_request_idUUID

  • from_datedate

  • to_datedate

  • qstring

    Up to 120 characters.

  • sortstring

    Defaults to -updated_at.

    One of-updated_atupdated_atroute-routedepart_date-depart_datebroker-brokeraircraft-aircraftamount_cents-amount_centsstatus-status

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of offer objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID/offers" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Create Offer

POST/v1/marketplace/requests/{id}/offers

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • amount_centsintegerRequired

    0 or more.

  • valid_untildate-timeRequired

  • aircraft_idUUID

  • copilot_namestring

    Up to 120 characters.

  • crew_notesstring

    Up to 2,000 characters.

  • pilot_namestring

    Up to 120 characters.

  • termsstring

    Up to 2,000 characters.

Response

201 Created

Returns the offer object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/marketplace/requests/$ID/offers" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Saved Partners

GET/v1/marketplace/saved-partners

Scope
read
Quota
Counts toward your allowance

Query parameters

  • target_idUUID

  • kindstring

    One ofbrokeroperator

  • qstring

    Up to 120 characters.

  • sortstring

    Defaults to -saved_at.

    One ofname-namekind-kindsaved_at-saved_at

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 25.

Response

200 OK

Returns a page of partner objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/marketplace/saved-partners" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Save Partner

PUT/v1/marketplace/saved-partners/{kind}/{id}

Scope
write
Quota
Counts toward your allowance

Path parameters

  • kindstringRequired

    One ofbrokeroperator

  • idUUIDRequired

Response

200 OK

Returns the partner object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request PUT "$CHARTEROPS_API_URL/v1/marketplace/saved-partners/$KIND/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Remove Partner

DELETE/v1/marketplace/saved-partners/{kind}/{id}

Scope
write
Quota
Counts toward your allowance

Path parameters

  • kindstringRequired

    One ofbrokeroperator

  • idUUIDRequired

Response

204 No content

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request DELETE "$CHARTEROPS_API_URL/v1/marketplace/saved-partners/$KIND/$ID" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Publication

POST/v1/trip-requests/{id}/publication

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • publishedbooleanRequired

Response

200 OK

Returns the publication object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/trip-requests/$ID/publication" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Create Inquiry

POST/v1/empty-legs/{id}/inquiries

Scope
write
Quota
Counts toward your allowance

Path parameters

  • idUUIDRequired

Headers

  • Idempotency-KeystringRequired

    1 to 200 characters.

Request body

  • messagestringRequired

    1 to 2,000 characters.

  • trip_request_idUUIDRequired

Response

201 Created

Returns the inquiry object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl --request POST "$CHARTEROPS_API_URL/v1/empty-legs/$ID/inquiries" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY" \
  --header "Idempotency-Key: $(uuidgen)" \
  --json @body.json

Activity

GET/v1/overview/activity

Scope
read
Quota
Counts toward your allowance

Query parameters

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 5.

Response

200 OK

Returns a page of overview item objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/overview/activity" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Attention

GET/v1/overview/attention

Scope
read
Quota
Counts toward your allowance

Query parameters

  • cursorstring

    Up to 2,000 characters.

  • limitinteger

    From 1 to 100. Defaults to 5.

Response

200 OK

Returns a page of overview item objects in items, with next_cursor and total.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/overview/attention" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Business Summary

GET/v1/overview/summary

Scope
read
Quota
Counts toward your allowance

Response

200 OK

Returns the business summary object.

Errors

  • 401 Unauthorized
  • 403 Forbidden
  • 404 Not found
  • 409 Conflict
  • 422 Unprocessable content
  • 429 Too many requests

Example request

curl "$CHARTEROPS_API_URL/v1/overview/summary" \
  --header "Authorization: Bearer $CHARTEROPS_API_KEY"

Objects

Inquiry

  • brokerobject

    2 fields in broker
    • idUUID

    • namestring

  • created_atdate-time

  • empty_leg_idUUID

  • idUUID

  • is_sellerboolean

  • legsarray of objects

    12 fields in legs
    • arrive_atdate-timeCan be null

    • depart_datedate

    • depart_timetimeCan be null

    • depart_timezonestringCan be null

    • distance_nminteger

    • fromobject

      10 fields in from
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

    • idUUID

    • latest_depart_datedateCan be null

    • paxintegerCan be null

    • seqinteger

    • timezonestring

    • toobject

      10 fields in to
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

  • needs_replyboolean

  • paxintegerCan be null

  • sellerobject

    2 fields in seller
    • idUUID

    • namestring

  • statusstring

    One ofpendingoffereddeclinedwithdrawn

  • trip_request_idUUID

  • updated_atdate-time

Inquiry message

  • authorobject

    2 fields in author
    • idUUID

    • namestring

  • bodystring

  • created_atdate-time

  • idUUID

Offer

  • aircraftobjectCan be null

    3 fields in aircraft
    • idUUID

    • registrationstring

    • typeobjectCan be null

      5 fields in type
      • categorystring

        One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

      • icao_designatorstring

      • idUUID

      • manufacturerstring

      • modelstring

  • aircraft_typeobjectCan be null

    5 fields in aircraft_type
    • categorystring

      One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

    • icao_designatorstring

    • idUUID

    • manufacturerstring

    • modelstring

  • amount_centsinteger

  • brokerobject

    2 fields in broker
    • idUUID

    • namestring

  • copilot_namestringCan be null

  • created_atdate-time

  • crew_notesstringCan be null

  • currencystring

  • first_legobjectCan be null

    12 fields in first_leg
    • arrive_atdate-timeCan be null

    • depart_datedate

    • depart_timetimeCan be null

    • depart_timezonestringCan be null

    • distance_nminteger

    • fromobject

      10 fields in from
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

    • idUUID

    • latest_depart_datedateCan be null

    • paxintegerCan be null

    • seqinteger

    • timezonestring

    • toobject

      10 fields in to
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

  • idUUID

  • inquiry_idUUIDCan be null

  • is_ownboolean

  • operatorobjectCan be null

    4 fields in operator
    • dba_namestringCan be null

    • designatorstring

    • idUUID

    • legal_namestring

  • pilot_namestringCan be null

  • quote_idUUIDCan be null

  • sellerobject

    2 fields in seller
    • idUUID

    • namestring

  • statusstring

    One ofsubmittedwithdrawnexpiredrequest_changedunavailablebookedclosed

  • termsstringCan be null

  • trip_request_idUUID

  • updated_atdate-time

  • valid_untildate-time

Quote

  • aircraftobjectCan be null

    3 fields in aircraft
    • idUUID

    • registrationstring

    • typeobjectCan be null

      5 fields in type
      • categorystring

        One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

      • icao_designatorstring

      • idUUID

      • manufacturerstring

      • modelstring

  • aircraft_typeobjectCan be null

    5 fields in aircraft_type
    • categorystring

      One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

    • icao_designatorstring

    • idUUID

    • manufacturerstring

    • modelstring

  • amount_centsinteger

  • created_atdate-time

  • created_byobjectCan be null

    3 fields in created_by
    • avatar_urlstringCan be null

    • display_namestring

    • user_idUUIDCan be null

  • currencystring

  • idUUID

  • is_expiredboolean

  • line_itemsarray of objectsCan be null

    5 fields in line_items
    • amount_centsinteger

    • kindstring

      One ofaircraft_timecrew_dayovernightcateringground_transporttaxes_feescustom

    • labelstring

    • quantitynumber

    • rate_centsinteger

  • notesstringCan be null

  • operatorobjectCan be null

    4 fields in operator
    • dba_namestringCan be null

    • designatorstring

    • idUUID

    • legal_namestring

  • responded_atdate-timeCan be null

  • responder_namestringCan be null

  • response_notestringCan be null

  • sent_atdate-timeCan be null

  • shared_atdate-timeCan be null

  • sourcestring

  • statusstring

  • trip_request_idUUID

  • updated_atdate-time

  • valid_untildate-timeCan be null

  • viewed_atdate-timeCan be null

Marketplace request

  • brokerobject

    2 fields in broker
    • idUUID

    • namestring

  • broker_savedboolean

  • idUUID

  • is_ownboolean

  • is_savedboolean

  • legsarray of objects

    12 fields in legs
    • arrive_atdate-timeCan be null

    • depart_datedate

    • depart_timetimeCan be null

    • depart_timezonestringCan be null

    • distance_nminteger

    • fromobject

      10 fields in from
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

    • idUUID

    • latest_depart_datedateCan be null

    • paxintegerCan be null

    • seqinteger

    • timezonestring

    • toobject

      10 fields in to
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

  • matched_legobject

    12 fields in matched_leg
    • arrive_atdate-timeCan be null

    • depart_datedate

    • depart_timetimeCan be null

    • depart_timezonestringCan be null

    • distance_nminteger

    • fromobject

      10 fields in from
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

    • idUUID

    • latest_depart_datedateCan be null

    • paxintegerCan be null

    • seqinteger

    • timezonestring

    • toobject

      10 fields in to
      • citystringCan be null

      • codestring

      • countrystring

      • iatastringCan be null

      • icaostringCan be null

      • idUUID

      • latitudenumber

      • longitudenumber

      • namestring

      • timezonestringCan be null

  • paxinteger

  • preferred_categorystringCan be null

    One ofpistonturboproplightmidsizesuper_midsizeheavyultra_long_rangehelicopter

  • published_atdate-time

  • versioninteger

Partner

  • idUUID

  • kindstring

    One ofbrokeroperator

  • namestring

  • saved_atdate-time

  • target_idUUID

Publication

  • idUUID

  • publishedboolean

  • published_atdate-timeCan be null

  • versioninteger

Overview item

  • atdate-time

  • detailstring

  • hrefstring

  • idUUID

  • titlestring

Business summary

  • kindstring

    One ofbrokeroperatorpart_91

  • metricsarray of objects

    5 fields in metrics
    • currencystringCan be null

    • definitionstring

    • hrefstring

    • labelstring

    • valueinteger